#ifndef  CLIB_LOCALE_PROTOS_H
#define  CLIB_LOCALE_PROTOS_H
/*
**	$Id: locale_protos.h,v 36.2 90/05/02 10:35:08 valentin Exp $
**
**	C prototypes
**
**	(C) Copyright 1990 Commodore-Amiga, Inc.
**	    All Rights Reserved
*/
/* "locale.library" */
#ifndef  EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef  LOCALE_LOCALEBASE_H
#include "include/locale/localebase.h"
#endif
#ifndef  LOCALE_LOCALE_H
#include "include/locale/locale.h"
#endif
/*--- functions in V36 or higher (distributed as Release 2.0 Beta) ---*/
/**/
/* Locale Functions */
/**/
struct Language *OpenLanguage( BYTE *name );
void CloseLanguage( struct Language *language );
struct Territory *OpenTerritory( BYTE *name );
void CloseTerritory( struct Territory *territory );
struct Language *DefaultLanguage( void );
struct Territory *DefaultTerritory( void );
struct Catalogue *CatOpen( BYTE *name, LONG flags );
void CatClose( struct Catalogue *catalogue );
BYTE *CatGets( struct Catalogue *catalogue, LONG set, LONG msgNum,
	BYTE *def );
LONG StrColl( BYTE *string1, BYTE *string2, struct Language *language );
LONG StrXFrm( BYTE *string1, BYTE *string2, LONG size,
	struct Language *language );
/**/
/* Reserved entries */
/**/
void LocReserved0( void );
void LocReserved1( void );
void LocReserved2( void );
void LocReserved3( void );
void LocReserved4( void );
void LocReserved5( void );
#endif   /* CLIB_LOCALE_PROTOS_H */
